## Get Expired Points

### cURL

```
curl --request GET \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/all-points-expiry/{profileId} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/all-points-expiry/{profileId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/all-points-expiry/{profileId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Responses

**200**
```json
{
  "status": 200,
  "message": "Success",
  "errors": {},
  "data": [
    {
      "memberExpirations": [
        {
          "expirationTimestamp": "2020-03-20T23:59:59.000000",
          "pointsExpired": 100
        }
      ]
    }
  ]
}
```

**400**
```json
{
  "message": "Error message string",
  "errors": {
    "ExceptionString": [
      "Invalid Field"
    ]
  },
  "data": null,
  "status": 400
}
```

**401**
```json
{
  "detail": "Authentication Failed"
}
```

### Authorizations

**Authorization**: `Bearer <token>`

### Path Parameters
- **profileId**: Required string; the ProfileId of the member, generated in the response of the `Enroll Member` endpoint - POST /v1/members.

### Query Parameters
- **startTimestampUTC**: Optional string; Start date of the date range, in UTC format.
- **endTimestampUTC**: Optional string; End date of the date range, in UTC format.

### Response
- **status**: Integer; Status of the call, e.g., `200`
- **message**: String; Message corresponding to the call, e.g., "Success"
- **errors**: Object; Error details, if applicable.
- **data**: Array of objects; Contains the member expiration data.
